GNU bug report logs - #18932
string->number errors on e.g. "1e400xyz"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Reported by: taylanbayirli@HIDDEN ("Taylan Ulrich Bayırlı/Kammer"); dated Mon, 3 Nov 2014 09:22:02 UTC; Maintainer for guile is bug-guile@HIDDEN.

Message received at 18932 <at> debbugs.gnu.org:


Received: (at 18932) by debbugs.gnu.org; 15 Sep 2016 03:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 14 23:27:58 2016
Received: from localhost ([127.0.0.1]:59940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bkNLC-0002LP-Hr
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2016 23:27:58 -0400
Received: from mail-qk0-f176.google.com ([209.85.220.176]:33861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jtmayer@HIDDEN>) id 1bkKz7-0005vs-26
 for 18932 <at> debbugs.gnu.org; Wed, 14 Sep 2016 20:57:01 -0400
Received: by mail-qk0-f176.google.com with SMTP id h8so32899226qka.1
 for <18932 <at> debbugs.gnu.org>; Wed, 14 Sep 2016 17:57:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=uci-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=U4VIxmx9K6BMjqDGG+ksTSoa99TFegrypveaGbCZtTk=;
 b=iK/r49uyxrExlcoSIARNL6zS+71TkN0PplLL34ANUFhMeHuzPV3cRhj+8Ta0pOJiCf
 LTI421w/r4WodzEbmQUBc3DNQ+5XAa74UxGrbWz1w3fv8yb3Qmm8UNLBSWk8JrtqpzvQ
 z+f6+U1zwpZnnsS19aA2+93RNslDAjkfKY7n1VDJXCX5gv2/27UHg0joEQA3bu5K7cbF
 RAfyLx5luYAjBi9Jaz1gq4Hrrdw9jT933Uw4A903EZ7FYCePBtgQ+EyPBkpoD6qZQMJr
 E8MId96Rsr6nfHH7AgkKvNVCjCyXUgeH5V2ggvpOeEDuR3w3k4nN1MXnXniA3yK2Mqmm
 wnKA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=U4VIxmx9K6BMjqDGG+ksTSoa99TFegrypveaGbCZtTk=;
 b=nD23BTRmKm4Bo/qKBuTABA0OWhaS5Cupmgqr3py3ed2o6F4316xwFsXWSfvLFWltdW
 shIo8i2bp2DmY7IMkuCd8rbgAJBdDMU9PreTYYhQtcLFqNMlMVEYR2emqwgZlaWfkQPB
 V742B5hdOf4l1rrV+hE0pV8bCrPnp2+Z1RSR3TKlf17KvGTz22b9ucI2YvXCP2utsScm
 a5kckJjI6842IQs1f4IX32x4+fUphEbMOblj3X/ASS5P8/a04oijM/hrp7aOkqWa7a64
 noBTudCbNnfyQa1OeGhfsQ+mJnGmewk8fIT0n5X0Eh2XsRXc/o2v2QpmCHErdWboPtuP
 w3Xw==
X-Gm-Message-State: AE9vXwOD+RSr4X5/6Kcd6C+m38cA5TATiAJvj5TL29gkco4yp52kbcYrq3JFKsLvp1hTR5kiNGLV2zKd7rEA8w==
X-Received: by 10.55.31.76 with SMTP id f73mr6256582qkf.260.1473901015333;
 Wed, 14 Sep 2016 17:56:55 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.55.72.17 with HTTP; Wed, 14 Sep 2016 17:56:55 -0700 (PDT)
From: Jonathan Theodore Mayer <jtmayer@HIDDEN>
Date: Wed, 14 Sep 2016 17:56:55 -0700
Message-ID: <CAJ8pW_9oF3ZrwbYJHfd=ZVvgtREGvejz9csjjALms5NW0pRrWQ@HIDDEN>
Subject: 
To: 18932 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=001a1147d53674220a053c81521a
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The lowest and highest exponent that do not result in an
 error
 for string->number are -324 and 308, respectively. I am running Guile 2.0.9.
 The lowest and highest exponent that do not result in an error for
 string->number
 are -324 and 308, respectively. I am running Guile 2.0.9. [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [209.85.220.176 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.220.176 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.220.176 listed in list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 18932
X-Mailman-Approved-At: Wed, 14 Sep 2016 23:27:57 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  The lowest and highest exponent that do not result in an error
    for string->number are -324 and 308, respectively. I am running Guile 2.0.9.
    The lowest and highest exponent that do not result in an error for string->number
    are -324 and 308, respectively. I am running Guile 2.0.9. [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [209.85.220.176 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.220.176 listed in list.dnswl.org]
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.220.176 listed in wl.mailspike.net]
  2.0 BLANK_SUBJECT          Subject is present but empty
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--001a1147d53674220a053c81521a
Content-Type: text/plain; charset=UTF-8

The lowest and highest exponent that do not result in an error for
string->number are -324 and 308, respectively. I am running Guile 2.0.9.

--001a1147d53674220a053c81521a
Content-Type: text/html; charset=UTF-8

<div dir="ltr">The lowest and highest exponent that do not result in an error for string-&gt;number are -324 and 308, respectively. I am running Guile 2.0.9.</div>

--001a1147d53674220a053c81521a--




Information forwarded to bug-guile@HIDDEN:
bug#18932; Package guile. Full text available.

Message received at 18932 <at> debbugs.gnu.org:


Received: (at 18932) by debbugs.gnu.org; 8 Aug 2016 20:36:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 08 16:36:08 2016
Received: from localhost ([127.0.0.1]:60389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bWrHL-0005qo-U5
	for submit <at> debbugs.gnu.org; Mon, 08 Aug 2016 16:36:08 -0400
Received: from pb-sasl1.pobox.com ([64.147.108.66]:55401
 helo=sasl.smtp.pobox.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wingo@HIDDEN>) id 1bWrHJ-0005qg-Mv
 for 18932 <at> debbugs.gnu.org; Mon, 08 Aug 2016 16:36:05 -0400
Received: from sasl.smtp.pobox.com (unknown [127.0.0.1])
 by pb-sasl1.pobox.com (Postfix) with ESMTP id 724282FD4A
 for <18932 <at> debbugs.gnu.org>; Mon,  8 Aug 2016 16:36:05 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=pobox.com; h=from:to
 :subject:date:message-id:mime-version:content-type; s=sasl; bh=/
 bY+m20BEPUIHGrXpd3gU5YLpAM=; b=AHdhDkhWwj69xC3R9sSHZwOVtqtTOsqwF
 lIawunPxEaswSv0o82ZRa/8JD4dL6rxMfZxXUiEqKWweUvnPqYHx+91HXJXwtLaZ
 cED6nxAuzgoa8w2LGuPK7MnI8ISNvPBfLwdurLu/16xxG48FFP7Fofdb5KmB1VQt
 GC2y4eC+qs=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=pobox.com; h=from:to:subject
 :date:message-id:mime-version:content-type; q=dns; s=sasl; b=rZ0
 XgvxGTuEr+8JW3bup9GT4Dw7s3llJG3FyaIH75zB4nRML8uO29zxI9zjQI2qDpaO
 SKtQxTbbA6SjSds282xK+OU4iZJJ9zF6V1xhtlhHE0D2xmxlYMsdNPZabos+Wt5B
 yrlFEJvGdN5/LhdvZUHf5xzUJv55S1Tpo/YDtzuo=
Received: from pb-sasl1.nyi.icgroup.com (unknown [127.0.0.1])
 by pb-sasl1.pobox.com (Postfix) with ESMTP id 6AD172FD48
 for <18932 <at> debbugs.gnu.org>; Mon,  8 Aug 2016 16:36:05 -0400 (EDT)
Received: from clucks (unknown [88.160.190.192])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by pb-sasl1.pobox.com (Postfix) with ESMTPSA id 451BF2FD47
 for <18932 <at> debbugs.gnu.org>; Mon,  8 Aug 2016 16:36:04 -0400 (EDT)
From: Andy Wingo <wingo@HIDDEN>
To: 18932 <at> debbugs.gnu.org
Subject: [Anand Mohanadoss] symbol printing problem
Date: Mon, 08 Aug 2016 22:35:55 +0200
Message-ID: <87a8gnm21g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: message/rfc822
Content-Disposition: inline
X-Pobox-Relay-ID: BA3A08DE-5DA7-11E6-9945-C1836462E9F6-02397024!pb-sasl1.pobox.com
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 18932
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

Return-Path: <SRS0=g+lm=T5=gnu.org=guile-user-bounces+wingo=pobox.com@HIDDEN>
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
	 by sloti34d1t08 (Cyrus 3.0.0-beta3-git-fastmail-13649) with LMTPA;
	 Mon, 08 Aug 2016 08:35:09 -0400
X-Cyrus-Session-Id: sloti34d1t08-1301616-1470659709-2-4162934249239526313
X-Sieve: CMU Sieve 2.4
X-Spam-known-sender: no ("Email failed DMARC policy for domain")
X-Spam-score: 0.0
X-Spam-hits: BAYES_00 -1.9, FREEMAIL_FROM 0.001, RCVD_IN_DNSWL_HI -5, SPF_PASS -0.001,
  LANGUAGES en, BAYES_USED global, SA_VERSION 3.3.2
X-Spam-source: IP='208.118.235.17', Host='lists.gnu.org', Country='US', FromHeader='com',
  MailFrom='com'
X-Spam-charsets: plain='UTF-8'
X-IgnoreVaction: yes ("Email failed DMARC policy for domain")
X-Resolved-to: wingo@HIDDEN
X-Delivered-to: wingo@HIDDEN
X-Mail-from: SRS0=g+lm=T5=gnu.org=guile-user-bounces+wingo=pobox.com@HIDDEN
Received: from mx1 ([10.202.2.200])
  by compute5.internal (LMTPProxy); Mon, 08 Aug 2016 08:35:09 -0400
Received: from mx1.messagingengine.com (localhost [127.0.0.1])
	by mailmx.nyi.internal (Postfix) with ESMTP id 31F83DC602
	for <wingo@HIDDEN>; Mon,  8 Aug 2016 08:35:09 -0400 (EDT)
Received: from mx1.messagingengine.com (localhost [127.0.0.1])
    by mx1.messagingengine.com (Authentication Milter) with ESMTP
    id 6928356010C;
    Mon, 8 Aug 2016 08:35:09 -0400
Authentication-Results: mx1.messagingengine.com;
    dkim=fail (body has been altered; 2048-bit rsa key) header.d=gmail.com header.i=@gmail.com header.b=FlVsdkBe;
    dmarc=fail (p=none;has-list-id=yes) header.from=gmail.com;
    spf=pass smtp.mailfrom=SRS0=g+lm=T5=gnu.org=guile-user-bounces+wingo=pobox.com@HIDDEN smtp.helo=pb-mx10.pobox.com;
    x-google-dkim=fail (body has been altered; 2048-bit rsa key) header.d=1e100.net header.i=@1e100.net header.b=bjD35Z9i
Received-SPF: pass
    (bounce2.pobox.com ... pobox.com: 64.147.108.51 is authorized to use 'SRS0=g+lm=T5=gnu.org=guile-user-bounces+wingo=pobox.com@HIDDEN' in 'mfrom' identity (mechanism 'ip4:64.147.108.0/24' matched))
    receiver=mx1.messagingengine.com;
    identity=mailfrom;
    envelope-from="SRS0=g+lm=T5=gnu.org=guile-user-bounces+wingo=pobox.com@HIDDEN";
    helo=pb-mx10.pobox.com;
    client-ip=64.147.108.51
Received: from pb-mx10.pobox.com (pb-mx10.pobox.com [64.147.108.51])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by mx1.messagingengine.com (Postfix) with ESMTPS
	for <wingo@HIDDEN>; Mon,  8 Aug 2016 08:35:09 -0400 (EDT)
Received: from pb-mx10.nyi.icgroup.com (localhost [127.0.0.1])
	by pb-mx10.pobox.com (Postfix) with ESMTP id CE9B415316
	for <wingo@HIDDEN>; Mon,  8 Aug 2016 08:35:07 -0400 (EDT)
X-Pobox-Pass: guile-user-bounces+wingo=pobox.com@HIDDEN is whitelisted
X-Pobox-Loop-ID: d98c480363b38461e1ad406b15fe0c5154eb5e39
X-Remote-Delivered-To: wingo@HIDDEN
X-Pobox-Delivery-ID: E285A2-A254F15315-1470659707-02397024!pb-mx10.pobox.com
Received: from lists.gnu.org (lists.gnu.org [208.118.235.17])
	by pb-mx10.pobox.com (Postfix) with ESMTPS id A254F15315
	for <wingo@HIDDEN>; Mon,  8 Aug 2016 08:35:06 -0400 (EDT)
Received: from localhost ([::1]:57108 helo=lists.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <guile-user-bounces+wingo=pobox.com@HIDDEN>)
	id 1bWjlo-0000qX-Gy
	for wingo@HIDDEN; Mon, 08 Aug 2016 08:35:04 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41164)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <anand108@HIDDEN>) id 1bWjlX-0000h4-S5
	for guile-user@HIDDEN; Mon, 08 Aug 2016 08:34:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <anand108@HIDDEN>) id 1bWjlW-0003so-Vs
	for guile-user@HIDDEN; Mon, 08 Aug 2016 08:34:47 -0400
Received: from mail-io0-x22a.google.com ([2607:f8b0:4001:c06::22a]:35900)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <anand108@HIDDEN>) id 1bWjlW-0003sh-RY
	for guile-user@HIDDEN; Mon, 08 Aug 2016 08:34:46 -0400
Received: by mail-io0-x22a.google.com with SMTP id b62so355891283iod.3
	for <guile-user@HIDDEN>; Mon, 08 Aug 2016 05:34:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:from:date:message-id:subject:to;
	bh=96NRN6voBKEwLy4y4w01jggytoplGIFAeRJ+ExAP36w=;
	b=FlVsdkBeNmOmYQr69TEViPOPZ+35dGFMzO4zZLBUj9vSa8Zx1+QvNUvaAfsFFwHBqy
	dSJDDfbzSanBZNkShrM8nmbU4n2ZGxdYWES0P/YhDIWBk53DdqeZStt1ibaSPR6dM0UD
	EWCr95ngOYiqyMlJcQwsVpxzHrxyybEcPi5JwkSrpVklccu70xqXYk69SJ2uTwZ9yoRl
	4fOVJIShbcElN13D0YGOi1stC9Y5i1GxYdwvRmsC03iMbgVljBsP49ztA/0Fh4mVA9n+
	KeozOU/MR5V6C/S69ls3HrHiW+zjV5NkAL6PZ1hJ1Gt6lyPTsPT1+ah3eTlToUn0R7Ko
	ADYw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=1e100.net; s=20130820;
	h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
	bh=96NRN6voBKEwLy4y4w01jggytoplGIFAeRJ+ExAP36w=;
	b=bjD35Z9iOU5M2gCONMgc/tVXHrdC/1+E8thUEt2hZr6nKOqBlJdq6gWcmybP5vgLNV
	S+I16N7OIGq/sU7kLm6sNbu07aSkoJ3pV2bYmaq/P48saFTmM1Ec9bOJwBUmMHnCmzDH
	4YF1tf6adXomqGL+v2vQ6p0mI7Ft+xhgowG6ORiAidXMyUaM3vmd8cTHNJufA6X8h7w+
	tIEIYOgB16nyQkREhOO0Be4zODNR5RNHTn3PK09o9YPunPh8oI4UYl4DfOCrfoTVWeTt
	9UspgXVVrpTVgtld5JxAY5ihqmQSbDtDe+TLCJlD0kmB9PvBudquCEYPzIn1hKF/JNcq
	961g==
X-Gm-Message-State: AEkoouuAKUcYVr4d+IYOZm9k0yUtK8mpzjNynGT+Q+K/d2OOVwxA3bd8EditfYOzmjsULCDw4ZNaHVeP1Oba5g==
X-Received: by 10.107.152.149 with SMTP id a143mr93039299ioe.193.1470659685914;
	Mon, 08 Aug 2016 05:34:45 -0700 (PDT)
Received: by 10.107.141.19 with HTTP; Mon, 8 Aug 2016 05:34:45 -0700 (PDT)
From: Anand Mohanadoss <anand108@HIDDEN>
Date: Mon, 8 Aug 2016 18:04:45 +0530
Message-ID: <CAFNjtaD8DESceh0ZMEBWb=9PqUhNG_onk8ycb8EL-6eDaQJaNA@HIDDEN>
Subject: symbol printing problem
To: guile-user@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2607:f8b0:4001:c06::22a
X-Content-Filtered-By: Mailman/MimeDel 2.1.21
X-BeenThere: guile-user@HIDDEN
X-Mailman-Version: 2.1.21
Precedence: list
List-Id: General Guile related discussions <guile-user.gnu.org>
List-Unsubscribe: <https://lists.gnu.org/mailman/options/guile-user>,
	<mailto:guile-user-request@HIDDEN?subject=unsubscribe>
List-Archive: <http://lists.gnu.org/archive/html/guile-user/>
List-Post: <mailto:guile-user@HIDDEN>
List-Help: <mailto:guile-user-request@HIDDEN?subject=help>
List-Subscribe: <https://lists.gnu.org/mailman/listinfo/guile-user>,
	<mailto:guile-user-request@HIDDEN?subject=subscribe>
Errors-To: guile-user-bounces+wingo=pobox.com@HIDDEN
Sender: "guile-user" <guile-user-bounces+wingo=pobox.com@HIDDEN>
X-Pobox-Client-Address: 208.118.235.17
X-Pobox-Client-Name: lists.gnu.org
X-Pobox-Client-HELO: lists.gnu.org
X-Pobox-Original-Sender: guile-user-bounces+wingo=pobox.com@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain

Hi,

We observed the following with guile 2.0.11 -

scheme@(guile-user)> (define sym '912828S7912810RS)
While reading expression:
ERROR: In procedure string->number: Value out of range: 7912810

Is this expected?  Do we need to enable any read-options?  If this is
expected, it appears that if we are creating symbols from random data, we
need to do a symbol->string before printing it.  Is this the recommendation
or should we do something else?

Thank you!
Anand




Information forwarded to bug-guile@HIDDEN:
bug#18932; Package guile. Full text available.

Message received at 18932 <at> debbugs.gnu.org:


Received: (at 18932) by debbugs.gnu.org; 21 Jan 2015 18:01:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 21 13:01:10 2015
Received: from localhost ([127.0.0.1]:52080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YDzaX-0007NF-EG
	for submit <at> debbugs.gnu.org; Wed, 21 Jan 2015 13:01:10 -0500
Received: from app.discard.email ([37.120.161.148]:35337)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <guile@HIDDEN>) id 1YDtae-0004h3-9T
 for 18932 <at> debbugs.gnu.org; Wed, 21 Jan 2015 06:36:53 -0500
Received: by app.discard.email (Postfix, from userid 33)
 id 1C330E19A5; Wed, 21 Jan 2015 12:36:50 +0100 (CET)
To: 18932 <at> debbugs.gnu.org
Subject: Re: #18932 string->number errors on e.g. "1e400xyz"
X-PHP-Originating-Script: 0:PHPMailer.class.php
Date: Wed, 21 Jan 2015 12:36:50 +0100
From: "guile@HIDDEN" <guile@HIDDEN>
Message-ID: <d476e7779d5a41caf4d791d607175acd@HIDDEN>
X-Priority: 3
X-Mailer: PHPMailer 5.2.9 (https://github.com/PHPMailer/PHPMailer/)
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_d476e7779d5a41caf4d791d607175acd"
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Note that guile 2.0.11 also gives strange results for large
    negative exponents: scheme@(guile-user)> (string->number "1e-400")ERROR:
   In procedure string->number:ERROR: In procedure string->number: Value out
   of range: -400  For comparison, in Scheme 48 1.9 (string->number "1e-400")
    => 0.0 (string->number "1e400") => +inf.0 (string->number "1e400xyz") =>
   #f [...] 
 
 Content analysis details:   (3.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.0 BAD_MAILER             X-Mailer is often used for spam
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: 18932
X-Mailman-Approved-At: Wed, 21 Jan 2015 13:01:08 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: guile@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Note that guile 2.0.11 also gives strange results for large
    negative exponents: scheme@(guile-user)> (string->number "1e-400")ERROR:
   In procedure string->number:ERROR: In procedure string->number: Value out
   of range: -400  For comparison, in Scheme 48 1.9 (string->number "1e-400")
    => 0.0 (string->number "1e400") => +inf.0 (string->number "1e400xyz") =>
   #f [...] 
 
 Content analysis details:   (3.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.0 BAD_MAILER             X-Mailer is often used for spam
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.0 HTML_MESSAGE           BODY: HTML included in message

--b1_d476e7779d5a41caf4d791d607175acd
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Note that guile 2.0.11 also gives strange results for large negative expone=
nts:
scheme@(guile-user)> (string->number "1e-400")ERROR: In procedure string->n=
umber:ERROR: In procedure string->number: Value out of range: -400
=C2=A0
For comparison, in Scheme 48 1.9
(string->number "1e-400") =3D> 0.0
(string->number "1e400") =3D> +inf.0
(string->number "1e400xyz") =3D> #f

--b1_d476e7779d5a41caf4d791d607175acd
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p>Note that guile 2.0.11 also gives strange results for large negative exp=
onents:</p>
<p>scheme@(guile-user)&gt; (string-&gt;number "1e-400")<br />ERROR: In proc=
edure string-&gt;number:<br />ERROR: In procedure string-&gt;number: Value =
out of range: -400</p>
<p>&nbsp;</p>
<p>For comparison, in Scheme 48 1.9</p>
<p>(string-&gt;number "1e-400") =3D&gt; 0.0</p>
<p>(string-&gt;number "1e400") =3D&gt; +inf.0</p>
<p>(string-&gt;number "1e400xyz") =3D&gt; #f</p>


--b1_d476e7779d5a41caf4d791d607175acd--





Information forwarded to bug-guile@HIDDEN:
bug#18932; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2014 09:21:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 03 04:21:13 2014
Received: from localhost ([127.0.0.1]:46803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XlDp3-0007WN-Ds
	for submit <at> debbugs.gnu.org; Mon, 03 Nov 2014 04:21:13 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53708)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <taylanbayirli@HIDDEN>) id 1XlDp1-0007WB-M8
 for submit <at> debbugs.gnu.org; Mon, 03 Nov 2014 04:21:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <taylanbayirli@HIDDEN>) id 1XlDov-0000jO-Oh
 for submit <at> debbugs.gnu.org; Mon, 03 Nov 2014 04:21:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50785)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <taylanbayirli@HIDDEN>) id 1XlDov-0000jK-Ma
 for submit <at> debbugs.gnu.org; Mon, 03 Nov 2014 04:21:05 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55427)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <taylanbayirli@HIDDEN>) id 1XlDou-0000oH-UD
 for bug-guile@HIDDEN; Mon, 03 Nov 2014 04:21:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <taylanbayirli@HIDDEN>) id 1XlDou-0000im-0x
 for bug-guile@HIDDEN; Mon, 03 Nov 2014 04:21:04 -0500
Received: from mail-lb0-x231.google.com ([2a00:1450:4010:c04::231]:43534)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <taylanbayirli@HIDDEN>) id 1XlDot-0000iP-Ms
 for bug-guile@HIDDEN; Mon, 03 Nov 2014 04:21:03 -0500
Received: by mail-lb0-f177.google.com with SMTP id z12so497112lbi.36
 for <bug-guile@HIDDEN>; Mon, 03 Nov 2014 01:21:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:message-id:from:to:subject:mime-version:content-type
 :content-transfer-encoding;
 bh=YX2J0MhfVETmQ6QYxu3UHqayV0Fgsppt476zqoqNVko=;
 b=uk5C5AaR5DzknRHvg0pi3EKj03UNTfZqnZUvhKqm07bx1U29S5rUekZGnje6RgPc9t
 YzR8Y1Fqs4nlEvpFOv3rsfyWklsSSCwxOLmmchSx034mA2PWeEO6nAI0J841mGJwtiwQ
 fWUGsu22Xy6mDORoA1U7qj2O2WkHm71S0pZ7SVWBlhRImCdxFmDodFyJBX94oA0mv0E5
 e7UGjpuPCFlYfrKMd6uT+3efotQZE1oVY8MbCKWGACgbm9kRQfJ4LiumI+bnz3SR923N
 pj+F7rRtUh+w+7qDNta3Arjv3J7v3aJ6AMPGE1miWfuudUsZq3lhJH0Zg7qaU39EyXLB
 khTg==
X-Received: by 10.112.137.202 with SMTP id qk10mr49152943lbb.0.1415006461509; 
 Mon, 03 Nov 2014 01:21:01 -0800 (PST)
Received: from taylan.uni.cx
 (p200300514A13A2F70213E8FFFEED36FB.dip0.t-ipconnect.de.
 [2003:51:4a13:a2f7:213:e8ff:feed:36fb])
 by mx.google.com with ESMTPSA id t5sm7709301lat.46.2014.11.03.01.21.00
 for <bug-guile@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Mon, 03 Nov 2014 01:21:01 -0800 (PST)
Date: Mon, 03 Nov 2014 10:20:58 +0100
Message-Id: <877fzcbpxh.fsf@HIDDEN>
From: taylanbayirli@HIDDEN ("Taylan Ulrich =?utf-8?Q?Bay=C4=B1rl=C4=B1?=
 =?utf-8?Q?=2FKammer=22?=)
To: bug-guile@HIDDEN
Subject: string->number errors on e.g. "1e400xyz"
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

When string->number is given a number in scientific notation with a
very high exponent, it errors with "value out of range."

I don't know if that is acceptable, but what seems unacceptable is
that it errors even if the string contains further characters and is
thus not a valid number; R5RS says that #f should be returned when the
string does not contain a syntactically valid number, and R7RS adds
explicitly that string->number never signals an error due to the
contents of the given string.

Apparently MIT/GNU Scheme has the same bug, as reported by 'ecraven'
on #scheme.  From other systems I tested, Racket, Gauche, Gambit, and
Chibi return +inf.0 for numbers with a too high exponent; I'm told
Chicken also does so when the "numbers egg" is loaded.

Taylan




Acknowledgement sent to taylanbayirli@HIDDEN ("Taylan Ulrich Bayırlı/Kammer"):
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#18932; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.